Typeahead functionality for nautilus is broken

Bug #879456 reported by Victor Passapera on 2011-10-21
566
This bug affects 120 people
Affects Status Importance Assigned to Milestone
Nautilus
Expired
Medium
nautilus (Ubuntu)
High
Unassigned
Oneiric
Undecided
Unassigned

Bug Description

This bug is similar to: #857710 File selection by typing is buggy sometimes

Description: Ubuntu 11.10
Release: 11.10

nautilus:
  Installed: 1:3.2.1-0ubuntu1
  Candidate: 1:3.2.1-0ubuntu1

However the person that was assigned to that bug told me to file a new one because supposedly it is a different bug.
I installed the nautilus 1:3.2.1-0ubuntu1 package from ubuntu proposed and all packages related and I still experience the following behavior:

Expected behavior:

- Open nautilus in ANY folder.
- Start typing name of folder/file.
- Nautilus selects folders/file matching as you type (one file at a time matching what is in the search/typeahead box).
- Type backspace
- Deletes the last character typed in search/typeahead box

Actual Behavior

- Open nautilus in ANY folder.
- Start typing the name of a folder/file.
- Sometimes the search box opens and sometimes it does not. (BUG)
- If it does open, after a letter or two the search box disappears. (BUG)
- If you change folders sometimes the box reappears as you start typing other times it disappears. (BUG)
- If the box re-appears typing in Back-space does not delete the text present in the box, instead it navigates backwards (Unexpected behavior)
- If it disappears It does not re-appear until you close and re-open nautilus. (BUG)

This happens in ALL views (Icon, List, Compact) with or without status bar enabled (Some suggested that the status bar fixes this, it does not).

The newly released packages (nautilus* 3.2.1) DO NOT fix this bug.

I am on Ubuntu 11.10 64Bit Using Gnome 3.2 and Gnome Shell.
Upgraded to this ubuntu since 10.04

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in nautilus (Ubuntu):
status: New → Confirmed
Sebastien Bacher (seb128) wrote :

Thank you for your bug report, having one bug by issue would be nice and would make everybody's job easier, I can confirm the behaviour is still weird (i.e it doesn't close the popup when using enter to go in a directory, it waits for timeout), I can't confirm that delete is buggy in the list view though, it's only buggy in icon view there. Upstream says that they don't get the "enter" or delete issues under gnome-shell, it might be worth checking in the wm has something to do with the bug as well

Changed in nautilus (Ubuntu):
importance: Undecided → Low
Andrew Fenn (andrewfenn) wrote :

It could be a configuration issue? I have tested two different machines, one upgraded the other not. Only the upgraded one is effected. The upgraded machine was a fresh 11.04 install.

Christian Hintze (hintze) wrote :

yeah my upgraded machine shows this bug, too. will test on a freshly installed one and report back.

Victor Passapera (vpassapera) wrote :

Yes, this bug only seems to be affecting machines that were upgraded from a pervious version of Ubuntu. (Could there be anything in the ~ folder causing this?)

gregreen (gregreen) wrote :

I confirm the behavior reported in this bug with the Nautilus package 3.2.1 from oneiric-proposed. Specifically, pressing backspace does not delete the last character from the search string as expected, but instead navigates backward to the parent directory, and the search box is not quickly cleared after pressing enter to navigate into a child directory. These are definite regressions from the behavior of Nautilus in Ubuntu 11.04 which seriously affect the usability of the program.

Timo Tomasini (kanocx) wrote :

I installed 11.10 fresh on my PC because of my new SSD; same bug, same behavior

Victor Passapera (vpassapera) wrote :

So then that means that any configuration files located in ~ causing this is probably not the case.

Victor Passapera (vpassapera) wrote :

Also, can someone mark this bug a higher priority than low? This really kills navigation performance for most users.

Victor Passapera (vpassapera) wrote :

navigation *productivity

mahfiaz (mahfiaz) wrote :

This for sure is more important than low, it makes nautilus barely usable for me.

Sebastien Bacher (seb128) wrote :

hint, arguing over settings doesn't make the bug fixed any faster; it's an upstream issue, setting to High if that makes some of the subscribed happier though

Changed in nautilus (Ubuntu):
importance: Low → High
Victor Passapera (vpassapera) wrote :

Fair enough :) Didnt know that this is to get fixed upstream but thank you!!

Since this is to be fixed upstream perhaps a link to their bug for the same issue would be in order?

Marius Gedminas (mgedmin) wrote :

Upstream bug for Backspace going up a folder instead of erasing typeahead: https://bugzilla.gnome.org/show_bug.cgi?id=662591

Marvin (marvin-nospam) wrote :

I can confirm the backspace problem. Besides that if you type the name of a folder and then press enter when the correct folder is selected, then the typeahead text-field does not disappear and its contents are not being cleared. So for example if I want to navigate to /usr/share (from /) then I normally do:
- type "us" so that "usr" gets selected
- press enter
- type "sh" so that "share" gets selected
- press enter

What now happens:
- I type "us" so that "usr" gets selected
- I press enter
- I'm in /usr/ but the type ahead text-field is still there and still contains "us"

The funny thing is that I cannot clear the text-field using backspace since that brings me to the parent directory.

I'm using a 32 bit version of Ubuntu and did not upgrade but a fresh installation. However my home directory has been used in Ubuntu 10.10.

DarkMind (ipsissimus) wrote :

I can confirm both bugs in this thread. Happens to me too

Leeq (leekyuh) wrote :

This happens to me as well. I upgraded from 11.04 32-bit to 11.10 32-bit.
Please fix this bug as soon as possible. Thanks!

Dirk Mcbratney (djmcbratney) wrote :

Under a fresh install using Gnome Shell, I experience the same problem with the text field never clearing and Backspace navigating backwards in icon view. It's a severe usability regression. I'm looking forward to the fix, whether it's upstream or here. Should be noted that the backspace issue is only half of the issue - the other half is that the typehead field doesn't clear after navigating to a subfolder.

Bruno Santos (bsantos) wrote :

The patch posted upstream seems to fix the problem.

u-foka (ufooka) wrote :

The patch worked for me too, without noticeable side effects after a half hour.

Victor Passapera (vpassapera) wrote :

I'm guessing to use the patch posted upstream you would have to compile nautilus from source?

Bruno Santos (bsantos) wrote :

Yes Victor.

I uploaded my package it to a ppa (my first try at using the ppa system), but it's still waiting to build. i386 will start in 8 minutes, amd64 in 28. If it builds, you can probably try it from the ppa. I think I should have increased the version, though. I can't tell if it'll upgrade your current package.

Victor Passapera (vpassapera) wrote :

Which PPA do I need to have enabled for this to work? (suggested?)

the version i have installed is:

1:3.2.1-0ubuntu2

Bruno Santos (bsantos) wrote :

https://launchpad.net/~bsantos/+archive/ppa

i386 just finished building, but you'll have to wait a bit for amd64 let us know if it worked.

Bruno Santos (bsantos) on 2011-11-04
Changed in nautilus:
importance: Undecided → Unknown
status: New → Unknown
Bruno Santos (bsantos) wrote :

Yes, I made a mistake with the version number, so you have to install the packages by forcing the version by hand, or explicitly with dpkg. :(

Get them here:

https://launchpad.net/~bsantos/+archive/ppa/+build/2899624

Victor Passapera (vpassapera) wrote :

I'll wait until they are commited to one of the main ppas for the versions to be fixed (That way i wont have to deal with all the dependency issues :O )

Thanks for everything tho!!!

1448412 (uli-rgbg) wrote :

Hello,

I downloaded the nautilus_3.2.1-0ubuntu2~ppa1_amd64.deb package from https://launchpad.net/~bsantos/+archive/ppa/+build/2899624 and simply installed by "dpkg -i". After that I killed nautilus ("nautilus -q") and restarted it ("nautilus &").

I can confirm that the update(...downgrade, if you see things the way dpkg does) fixes the following aspects of the problem:
- Typing some characters followed by backspace leads to characters being erased and no unwanted directory change taking place. This worked perfectly in every directory I tried.
- changing directories by typing directory name followed by <CR> causes the search-box to disappear and it's contents being erased. So navigating the directory tree now works almost as fast as the cern-neutrinos again :)

As far as I can see this is a perfect fix for the problem!

Many thanks for your work, this was quite an annoying problem!

Bruno Santos (bsantos) wrote :

I've uploaded a new package with a new version number, so anyone can try it just by activating the ppa. But this will be fixed in the official repository, I suppose.

The patch is from Chow Loong Jin, and posted upstream.

Chow Loong Jin (hyperair) wrote :

Here's a debdiff including my patch from GNOME Bugzilla.

Victor Passapera (vpassapera) wrote :

Testing the PPA one now :D

Victor Passapera (vpassapera) wrote :

Ok, so the only thing i noticed is that when you click out of the box, the box does not dissapear (very minor)... but other than that, the behavior seems to be fix. (Lets all rejoice!)

This is why i love linux :)

Anton (feenstra) wrote :

Yay! Works for me too. Thanks Chow Loong Jin for the patch and Bruno for the package!

Now I can let loose again all my built-in keyboard reflexex. Neutrino-speed, indeed. :-)

Victor Passapera (vpassapera) wrote :

An update just rolled out from ubuntu... wont install yet (might not include this fix) until someone confirms it has this fix! (can anyone confirm?)

1448412 (uli-rgbg) wrote :

Hi,

I updated to 1:3.2.1-0ubuntu2 and even though I can't spot the fix in the changelog nautilus still works all right, so it seems to be contained.

Again, thanks to Chow Loong Jin for the fix and to all of you for your help on this!

Martin Pitt (pitti) on 2011-11-07
Changed in nautilus (Ubuntu):
status: Confirmed → Fix Released
Timo Tomasini (kanocx) wrote :

I can also confirm that the bug was fixed. Thanks ;)

1448412 (uli-rgbg) wrote :

Hi,

alas i have bad news! It seems to be somehow possible to recreate the bug effect even with the patched version. I had several nautilus windows opened while vlc was playing and twice nautilus showed the original behaviour, while in between working all right. I suspect that the focus goes off the searchbox when multiple windows are involved, but at the moment I cannot reproduce the situation by will. I'll keep on trying to find a procedure that triggers the problem reliably. Could you give nautilus some more tries, especially with multiple windows?

Sebastien Bacher (seb128) wrote :

Setting back to triaged there are still some issue and the fix has not been uploaded

Changed in nautilus (Ubuntu):
status: Fix Released → Triaged
Doug McMahon (mc3man) wrote :

Have been try the patch here on self built 3.2.1-0ubuntu3 + patch, can't seem to get any regression thru use of multiple nautilus windows, with or without other apps open & in use

As far as previous comment about the box not disappearing after typing in it stops & it's not used - it disappears here after either clicking on Desktop (immediately) or after 3 sec's on inactivity on the box

gregreen (gregreen) wrote :

I've updated to the 3.2.1 version of nautilus and restarted my computer. I don't see any improvement - the regressions in typeahead previously mentioned are still there. Pressing backspace in the typeahead bar still navigates back a folder, and the bar still does not clear after navigating into a folder by pressing enter.

I think the patch isn't in the latest official version.

I updated the package in my ppa to the current version, and patched with
Chow's patch, until an official package is released.

Jo (jovanbulck) wrote :

I have the same problem with the backspace (navigating backwards instead of deleting the last character).

I use Ubuntu 11.10 (fresh installation) with the latest updates.

description: updated
Victor Passapera (vpassapera) wrote :

After I enabled bruno's PPA when the oneric update came around mine still worked. Bruno said he updated his as well tho, so I may have updated to his version without knowing. Im not experiencing any issues here and all the bugs in this report are fixed for me...

Backspace works as it should. Clicking on a blank space in nautilus closes the search box, and typeahead works as it should.

Victor Passapera (vpassapera) wrote :

Edit: On multiple tabs, typeahead works, and so does backspace, but clicking a blank space to close the search box does not. (Again very minor annoyance at most)

1448412 (uli-rgbg) wrote :

Hello,

I tried lots of scenarios but I am not able to reproduce the problem again with the patched version. As Jo reports that the patch is not present in a clean system, I'm quite sure that I lost track of which version actually was on the system when I noticed the problems. So please consider my last report as invalid.

Anton (feenstra) wrote :

I've just incurred an update for nautilus (3.2.1-0ubuntu2~ppa1 -> 3.2.1-0ubuntu2), and the problem re-occurs:
- search box doesn't clear on directory change
- backspace doesn't erase character, but goes up directory tree
- esc closes search box, but doesn't clear it
I'm trying proposed now...

Anton (feenstra) wrote :

proposed version (3.2.1-0ubuntu3) doesn't help, back to ppa -> now it works again.

Abhijeet (oundhakar) wrote :

Confirmed on Ubuntu 11.10 64 bit running under Windows 7x64 via Wubi.

This is not a clean install. I upgraded from Natty.

- search box doesn't clear on directory change

- backspace doesn't erase character, but goes up directory tree

- esc closes search box, but doesn't clear it

Abhijeet (oundhakar) wrote :

Confirmed on Ubuntu 11.10 64 bit running under Windows 7x64 with Wubi. Upgraded from Natty.

rfvuhbtg (rfvuhbtg) wrote :

Downloading the fixed nautilus package from the ppa (nautilus_3.2.1-0ubuntu2~ppa1_amd64.deb package from https://launchpad.net/~bsantos/+archive/ppa/+build/2899624 ) appears to have fixed the problem in my installation (fresh install of 11.10, but with the home directory left intact from 11.04).

Hopefully this fix will be tested, confirmed, and included in the regular updates soon. This has been a particularly nasty regression.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package nautilus - 1:3.2.1-0ubuntu4

---------------
nautilus (1:3.2.1-0ubuntu4) precise; urgency=low

  [ Chow Loong Jin ]
  * Add upstream patch to workaround focus issues on typeahead:
    - debian/patches/git-0001-Workaround-focus-issues-on-typeahead.patch
    (LP: #879456)

  [ Dmitry Shachnev ]
   * debian/patches/05_desktop_menu_export.patch (updated):
    - Stop hiding actions that do not exist anymore (LP: #880938)

  [ Didier Roche ]
  * Remove duplicate files icon, still workarounding missing desktop file:
    (LP: #886428)
    - removed debian/nautilus.links
    - ship debian/nautilus-folder-handler.desktop, copy of nautilus.desktop
      with NoDisplay=true
    - debian/nautilus.install: install the new file
  * debian/patches/11_copy_skipping_pager.patch:
    - only skip pager for the unity session (LP: #868032)

nautilus (1:3.2.1-0ubuntu3) oneiric-proposed; urgency=low

  [ Didier Roche ]
  * debian/nautilus.links: provide a symlink to workaround missing desktop file
    from prefered mimeapps.list (LP: #876788)
 -- Didier Roche <email address hidden> Thu, 10 Nov 2011 09:37:51 +0100

Changed in nautilus (Ubuntu):
status: Triaged → Fix Released

Hello Victor, or anyone else affected,

Accepted nautilus into oneiric-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Changed in nautilus (Ubuntu Oneiric):
status: New → Fix Committed
tags: added: verification-needed
Doug McMahon (mc3man) wrote :

Working as expected here plus a click on empty space in nautilus window now dismisses

DarkMind (ipsissimus) wrote :

I can confirm that it works as it is expected on 11.10. No fresh install, I upgraded from 11.04, and I'm using 64 bit version

Martin Pitt (pitti) on 2011-11-10
tags: added: verification-done
removed: verification-needed
Stefano Bagnatica (thepisu) wrote :

I installed nautilus 1:3.2.1-0ubuntu3 (amd64) from oneiric-proposed, but does not work for me.

The "backspace" key still go back in folders instead of deleting characters in typehead box.

On 10-11-2011 17:08, Stefano Bagnatica wrote:
> I installed nautilus 1:3.2.1-0ubuntu3 (amd64) from oneiric-proposed,
> but does not work for me.
>
> The "backspace" key still go back in folders instead of deleting
> characters in typehead box.
>

It's version 3.2.1-0ubuntu4, I think. Maybe your repository isn't
uptodate, yet.

Gumuiyul (gumuiyul) wrote :

i update to nautilus_3.2.1-0ubuntu2~ppa1_amd64.deb
for me like #46 but backspace erase well character in the searchbox without changing directory
other problems :
sometime searchbox doesn't appear by type even if place focus in folder view
this seems to occurs on switching language key on the keyboard

Jo (jovanbulck) wrote :

I did the normal updates via update-manager and the problem is fixed here. I now have version nautilus 1:3.2.1-0ubuntu2 (amd64).

DarkMind (ipsissimus) wrote :

I got a nautilus 1:3.2.1-0ubuntu2 version, and it works fine for me with GNOME 3.2 installed

Gyula Pataki (mrfox) wrote :

Please keep in mind that this fix came with the 1:3.2.1-0ubuntu3.1 update, which is currently in the oneiric-proposed repository.

Anton (feenstra) wrote :

proposed version 3.2.1-0ubuntu3.1 has the bug fixed for me.

Karl André Dalby (kad-e) wrote :

proposed version 3.2.1-0ubuntu3.1 has the bug fixed for me also.

Micah Nordland (mpnordland) wrote :

the version from proposed has fixed this for me

Satchit Bhogle (satchitb) wrote :

Um, is this going to be pushed out to users using the regular, stable Nautilus? It affects us all, and is really an awful bug.

Jakob (jaks) wrote :

Thanks for fixing this anoying bug! The fixed binaries should get ASAP into stables updates.

gregreen (gregreen) wrote :

I've been testing the proposed version of Nautilus, and the fix appears to work.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package nautilus - 1:3.2.1-0ubuntu3.1

---------------
nautilus (1:3.2.1-0ubuntu3.1) oneiric-proposed; urgency=low

  [ Chow Loong Jin ]
  * Add upstream patch to workaround focus issues on typeahead:
    - debian/patches/git-0001-Workaround-focus-issues-on-typeahead.patch
    (LP: #879456)

  [ Dmitry Shachnev ]
   * debian/patches/05_desktop_menu_export.patch (updated):
    - Stop hiding actions that do not exist anymore (LP: #880938)

  [ Didier Roche ]
  * Remove duplicate files icon, still workarounding missing desktop file:
    (LP: #886428)
    - removed debian/nautilus.links
    - ship debian/nautilus-folder-handler.desktop, copy of nautilus.desktop
      with NoDisplay=true
    - debian/nautilus.install: install the new file
  * debian/patches/11_copy_skipping_pager.patch:
    - only skip pager for the unity session (LP: #868032)

nautilus (1:3.2.1-0ubuntu3) oneiric-proposed; urgency=low

  [ Didier Roche ]
  * debian/nautilus.links: provide a symlink to workaround missing desktop file
    from prefered mimeapps.list (LP: #876788)
 -- Didier Roche <email address hidden> Thu, 10 Nov 2011 09:37:51 +0100

Changed in nautilus (Ubuntu Oneiric):
status: Fix Committed → Fix Released
Milton (miltonlaufer) wrote :

I can confirm that the fix by bsantos solves the problem. Thanks!

Anthony (anthonyblond) wrote :

Fix works for me

Stefano Bagnatica (thepisu) wrote :

Updated to 1:3.2.1-0ubuntu3.1 with normal upgrades and now is fixed also for me! Thanks

Changed in nautilus:
importance: Unknown → Medium
status: Unknown → New
Domar (domar) wrote :

also works for me :)
I think we can close this?

apparently fixed

Juan Pablo (juanps90) wrote :

I can confirm the fix too.

Nicholas Shatokhin (robotex) wrote :

bug fixed

Changed in nautilus:
status: New → Expired
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.